From e47119ca2fa337fa585b6079e022f7d221e320b9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 08 2020 02:46:02 +0000
Subject: [PATCH 559/2232] Pull in syn 1.0.19


Includes https://github.com/dtolnay/syn/pull/790 which we need for
extern type aliases.

---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 1cbcced..16aeba3 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -13,7 +13,7 @@ cc = "1.0.49"
 codespan-reporting = "0.9"
 proc-macro2 = { version = "1.0.12", features = ["span-locations"] }
 quote = "1.0"
-syn = { version = "1.0", features = ["full"] }
+syn = { version = "1.0.19", features = ["full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 57f2e39..92adb89 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -17,7 +17,7 @@ codespan-reporting = "0.9"
 proc-macro2 = { version = "1.0.12", features = ["span-locations"] }
 quote = "1.0"
 structopt = "0.3"
-syn = { version = "1.0", features = ["full"] }
+syn = { version = "1.0.19", features = ["full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index 18b46e5..8ade852 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -14,7 +14,7 @@ proc-macro = true
 [dependencies]
 proc-macro2 = "1.0"
 quote = "1.0.4"
-syn = { version = "1.0", features = ["full"] }
+syn = { version = "1.0.19", features = ["full"] }
 
 [dev-dependencies]
 cxx = { version = "0.3", path = ".." }
diff --git a/third-party/BUCK b/third-party/BUCK
index 2de784b..e16bad2 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -131,7 +131,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.18/src/**"]),
+    srcs = glob(["vendor/syn-1.0.19/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "clone-impls",
diff --git a/third-party/BUILD b/third-party/BUILD
index 4d8fd9f..45b1163 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -136,7 +136,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.18/src/**"]),
+    srcs = glob(["vendor/syn-1.0.19/src/**"]),
     crate_features = [
         "clone-impls",
         "derive",
